|  | Home |

# QMailMessageServicePluginInterface Class Reference

The QMailMessageServicePluginInterface class defines the interface to plugins that provide messaging services. More...

        #include <QMailMessageServicePluginInterface>

Inherited by QMailMessageServicePlugin.

- List of all members, including inherited members

## Public Functions

virtual QMailMessageService * | createService ( const QMailAccountId & accountId ) = 0
virtual QMailMessageServiceConfigurator * | createServiceConfigurator ()
virtual QString | key () const = 0
virtual bool | supports ( QMailMessageServiceFactory::ServiceType type ) const = 0
virtual bool | supports ( QMailMessage::MessageType messageType ) const = 0

## Detailed Description

The QMailMessageServicePluginInterface class defines the interface to plugins that provide messaging services.

The QMailMessageServicePluginInterface class defines the interface to message service plugins. Plugins will typically inherit from QMailMessageServicePlugin rather than this class.

See also QMailMessageServicePlugin, QMailMessageService, and QMailMessageServiceFactory.

## Member Function Documentation

### QMailMessageService * QMailMessageServicePluginInterface::createService ( const QMailAccountId & accountId ) `[pure virtual]`

Creates an instance of the QMailMessageService class provided by the plugin, associated with the account accountId.

### QMailMessageServiceConfigurator * QMailMessageServicePluginInterface::createServiceConfigurator () `[virtual]`

Creates an instance of the configurator for the QMailMessageService class provided by the plugin.

### QString QMailMessageServicePluginInterface::key () const `[pure virtual]`

Returns a string identifying the messaging service implemented by the plugin.

### bool QMailMessageServicePluginInterface::supports ( QMailMessageServiceFactory::ServiceType type ) const `[pure virtual]`

Returns true if the service provided by the plugin supports the service type type.

### bool QMailMessageServicePluginInterface::supports ( QMailMessage::MessageType messageType ) const `[pure virtual]`

Returns true if the service provided by the plugin supports the message type messageType.